<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <com.za.ui.view.CirclePreviewContainer
        android:layout_width="300dp"
        android:layout_height="300dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.camera.view.PreviewView
            android:id="@+id/viewFinder"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </com.za.ui.view.CirclePreviewContainer>

    <View
        android:id="@+id/previewOverlay"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/preview_overlay_mask" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/stepText"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="50dp"
        android:background="#80000000"
        android:padding="16dp"
        android:textColor="@android:color/white"
        android:textSize="18sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="请保持面部居中" />

<!--    <TextView-->
<!--        android:id="@+id/lowLightWarning"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_gravity="center"-->
<!--        android:layout_marginTop="20dp"-->
<!--        android:background="#80000000"-->
<!--        android:padding="8dp"-->
<!--        android:text="光线较暗，已自动调高屏幕亮度"-->
<!--        android:textColor="#FFEB3B"-->
<!--        android:textSize="16sp"-->
<!--        android:visibility="gone"-->
<!--        app:layout_constraintLeft_toLeftOf="parent"-->
<!--        app:layout_constraintRight_toRightOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent" />-->

    <FrameLayout
        android:id="@+id/confirmationLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="vertical"
            android:padding="16dp">

            <com.za.signature.view.CircleImageView
                android:id="@+id/previewImage"
                android:layout_width="300dp"
                android:layout_height="300dp"
                android:layout_gravity="center"
                android:scaleType="centerCrop" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="16dp"
                android:text="确认使用这张照片?"
                android:textColor="@android:color/white"
                android:textSize="18sp" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:gravity="center"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/retryButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="16dp"
                    android:text="重试" />

                <Button
                    android:id="@+id/confirmButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="确认" />
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>


</androidx.constraintlayout.widget.ConstraintLayout>